Subject: Re: [PATCH 0/5] Header includes cleanup

From: Nathaniel P Dawson <[email-masked]>
Date: Mon, 30 Mar 2009 10:33:19 -0700

I'm sorry, I must have misunderstood the task on the janitor
list. Could you explain it a bit better so I would be able to do it
properly?

And as for line wrapping I apologize, emacs on my laptop was
apparently not turning on auto-fill but has been rectified.

Regards,
Nathaniel P Dawson

On Mon, Mar 30, 2009 at 12:50:07PM +0200, Johannes Sixt wrote:
> Please wrap your lines at ca. 75 columns.
> 
> Nathaniel P Dawson schrieb:
> > This is just the beginning for this project. I'm slowly cleaning up
> > the header includes one chunk at a time. I hope my patches aren't too
> > messy, I've learned how to better utilize git to make patches and
> > organize my commits logically so I'll submit neater chunks henceforth.
> > You can expect patches from me nightly until I've finished this project.
> 
> You have removed includes that are implied by other includes, i.e. if
> foo.h includes bar.h, then you removed #include "bar.h" from *.c if there
> is #include "foo.h".
> 
> IMO, this is not a good guiding principle to reduce includes. A better
> principle is to keep #include "bar.h" in a source or header file iff a
> feature that is declared or defined in bar.h is *used* *directly* in that
> source or header file, regardless of whether bar.h is included in foo.h
> that is itself included in that source or header file.
> 
> If this latter principle is obeyed, then the build won't break by removing
> the include of foo.h (for the reason that nothing of foo.h is *use*
> *directly* anymore).
> 
> -- Hannes
>